<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.326
Description: Template: Klep of terminaal ileum vastgelegd
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.326">
   <title>Ileum terminale photo</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.326
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]
Item: (Ileumterminalephoto)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.326
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation
Item: (Ileumterminalephoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation"
         id="tmp-c2da8cb2-73ac-44de-a37f-94b095341ef6">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="string(@classCode)='OBS'">(Ileumterminalephoto): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="string(@moodCode)='EVN'">(Ileumterminalephoto): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326'])&gt;=1 ">(Ileumterminalephoto): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326'])&lt;=1">(Ileumterminalephoto): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Ileumterminalephoto): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="count(hl7:code)&lt;=1">(Ileumterminalephoto): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="count(hl7:text)&lt;=1">(Ileumterminalephoto): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Ileumterminalephoto): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="count(hl7:value)&lt;=1">(Ileumterminalephoto): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.326
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326']
Item: (Ileumterminalephoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326']"
         id="tmp-61cd2369-424d-4188-a481-65e60540807d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Ileumterminalephoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.326'">(Ileumterminalephoto): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.326' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Ileumterminalephoto): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.326
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation/hl7:code
Item: (Ileumterminalephoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation/hl7:code"
         id="tmp-a5041f8f-270f-4b9d-b39f-fee762dd0cbf">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Ileumterminalephoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="@nullFlavor or (@code='C140050' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')">(Ileumterminalephoto): de waarde van @code/@codeSystem MOET ''C140050' codeSystem '2.16.840.1.113883.2.4.3.36.77.5.200'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.326
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation/hl7:text
Item: (Ileumterminalephoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation/hl7:text"
         id="tmp-8bc3708d-c2cf-4811-8199-0967b3948820">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Ileumterminalephoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Ileumterminalephoto): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="count(hl7:reference)&lt;=1">(Ileumterminalephoto): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.326
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation/hl7:text/hl7:reference
Item: (Ileumterminalephoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation/hl7:text/hl7:reference"
         id="tmp-5b01429e-e87c-489c-ae56-54f6c3d45c9a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Ileumterminalephoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.326
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation/hl7:value
Item: (Ileumterminalephoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation/hl7:value"
         id="tmp-bdf09cdf-e326-49f1-977e-6cc497a8932c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Ileumterminalephoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>