<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.504
Description: Template: Level of consciousness
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.504">
   <title>Level of consciousness</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.504
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.504']]
Item: (Levelofconsciousness)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.504
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.504']]/hl7:observation
Item: (Levelofconsciousness)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.504']]/hl7:observation"
         id="tmp-382f9411-fd75-4f79-95d0-8e7dc5bf72f1">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.504.html"
              test="string(@classCode)='OBS'">(Levelofconsciousness): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.504.html"
              test="string(@moodCode)='EVN'">(Levelofconsciousness): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.504.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.504'])&gt;=1 ">(Levelofconsciousness): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.504'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.504.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.504'])&lt;=1">(Levelofconsciousness): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.504'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.504.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Levelofconsciousness): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.504.html"
              test="count(hl7:code)&lt;=1">(Levelofconsciousness): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.504.html"
              test="count(hl7:text)&lt;=1">(Levelofconsciousness): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.504.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Levelofconsciousness): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.504.html"
              test="count(hl7:value)&lt;=1">(Levelofconsciousness): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.504
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.504']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.504']
Item: (Levelofconsciousness)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.504']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.504']"
         id="tmp-13fa19c4-8b45-4d71-9649-3e1f63f8df7e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.504.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Levelofconsciousness): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.504.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.504'">(Levelofconsciousness): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.504' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.504.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Levelofconsciousness): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.504
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.504']]/hl7:observation/hl7:code
Item: (Levelofconsciousness)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.504']]/hl7:observation/hl7:code"
         id="tmp-3e2fa78f-c659-4f7c-9c93-2c7cfd7a7d62">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.504.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Levelofconsciousness): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.504.html"
              test="@nullFlavor or (@code='6942003' and @codeSystem='2.16.840.1.113883.6.96')">(Levelofconsciousness): de waarde van @code/@codeSystem MOET ''6942003' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.504
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.504']]/hl7:observation/hl7:text
Item: (Levelofconsciousness)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.504']]/hl7:observation/hl7:text"
         id="tmp-c4f2d898-1f3b-4310-a727-e54e311f90fd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.504.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Levelofconsciousness): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.504.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Levelofconsciousness): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.504.html"
              test="count(hl7:reference)&lt;=1">(Levelofconsciousness): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.504
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.504']]/hl7:observation/hl7:text/hl7:reference
Item: (Levelofconsciousness)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.504']]/hl7:observation/hl7:text/hl7:reference"
         id="tmp-6142df7d-874c-4b28-867d-bdc14fb09d42">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.504.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Levelofconsciousness): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.504
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.504']]/hl7:observation/hl7:value
Item: (Levelofconsciousness)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.504']]/hl7:observation/hl7:value"
         id="tmp-37206754-d170-4cb7-8010-8c12dff78aed">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.504.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Levelofconsciousness): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-vs_matevansedatie-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-vs_matevansedatie-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.504.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Levelofconsciousness): de waarde van @code MOET worden gekozen uit waardenlijst vs_matevansedatie Mate van sedatie DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.504.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Levelofconsciousness): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst vs_matevansedatie Mate van sedatie DYNAMIC.</assert>
   </rule>
</pattern>